SCHED_GET_PRIORITY_MAX(3P)

NAME
sched_get_priority_max, sched_get_priority_min - get priority limits (REALTIME)

SYNOPSIS

#include <sched.h>

int sched_get_priority_max(int policy);
int sched_get_priority_min(int policy);

DESCRIPTION

The sched_get_priority_max() and sched_get_priority_min() functions shall return the appropriate maximum or minimum, respectively, for the scheduling policy specified by policy.

The value of policy shall be one of the scheduling policy values defined in <sched.h>.

RETURN VALUE

If successful, the sched_get_priority_max() and sched_get_priority_min() functions shall return the appropriate maximum or minimum values, respectively. If unsuccessful, they shall return a value of -1 and set errno to indicate the error.

ERRORS

The sched_get_priority_max() and sched_get_priority_min() functions shall fail if:

EINVAL
    The value of the policy parameter does not represent a defined scheduling policy.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

sched_getparam() , sched_setparam() , sched_getscheduler() , sched_rr_get_interval() , sched_setscheduler() , the Base Definitions volume of IEEE Std 1003.1-2001, <sched.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .